@import 'variables';
@font-face {
  font-family: 'Kanit';
  src: url(../fonts/Kanit/Kanit-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'KanitBold';
  src: url(../fonts/Kanit/Kanit-Bold.ttf) format('truetype');
}

@font-face {
  font-family: 'Poppins';
  src: url(../fonts/Poppins/Poppins-Regular.ttf) format('truetype');
}

@font-face {
  font-family: 'PoppinsLight';
  src: url(../fonts/Poppins/Poppins-Light.ttf) format('truetype');
}

@font-face {
  font-family: 'Titillium Web';
  src: url(../fonts/TitilliumWeb/TitilliumWeb-Regular.ttf) format('truetype');
}

body {
  overflow-x: hidden !important;
  font-family: 'Kanit';
  .custom-ngx-slider {
    margin-top: 2px;
  }
}

/* Importing Bootstrap SCSS file. */
@import '~bootstrap/scss/bootstrap';
.btn-primary {
  color: #fff;
}

.btn-secondary {
  color: #fff;
}

body {
  font-family: Kanit;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  overflow-x: hidden !important;
}

body::-webkit-scrollbar {
  width: 1px;
}

/* Track */

body::-webkit-scrollbar-track {
  box-shadow: inset 0 0 5px $primary-background;
}

* {
  &[no_information] {
    color: #fff;
  }
}

/* Handle */

body::-webkit-scrollbar-thumb {
  background: $primary-background;
}

.common_scrollbar::-webkit-scrollbar {
  width: 6px;
}

/* Track */

.common_scrollbar::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
}

/* Handle */

.common_scrollbar::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
  border-radius: 10px;
}

.form-check {
  display: flex;
  align-items: center;
  label {
    margin-left: 10px;
  }
}

img {
  object-fit: contain;
}
